de.caff.generics

## Class MutableFloatIndexable.Base

- java.lang.Object
- - de.caff.generics.FloatIndexable.Base
  - - de.caff.generics.MutableFloatIndexable.Base

- All Implemented Interfaces:
    Copyable<MutableFloatIndexable>, FloatIndexable, MutableFloatIndexable, PrimitiveFloatIterable, Sizeable, java.lang.Comparable<FloatIndexable>, java.lang.Iterable<java.lang.Float>
  Enclosing interface:
    MutableFloatIndexable

      public abstract static class MutableFloatIndexable.Base
      extends FloatIndexable.Base
      implements MutableFloatIndexable

  Abstract base class which provides useful implementations for `Object.equals(Object)`, `Object.hashCode()`, `Object.toString()`.
  See Also:
    `Indexable.asBase()`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.MutableFloatIndexable

      `MutableFloatIndexable.Base`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.MutableFloatIndexable

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.FloatIndexable

      `SINGLE_0`

    - ### Fields inherited from interface de.caff.generics.PrimitiveFloatIterable

      `EMPTY_FLOAT_ITERATOR`

    - ### Fields inherited from interface de.caff.generics.Sizeable

      `NULL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    - ### Methods inherited from class de.caff.generics.FloatIndexable.Base

      `compareTo, equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.MutableFloatIndexable

      `asList, based, copy, copyInternally, copyOf, empty, fillFrom, fromArray, fromArray, fromByteIndexable, fromDoubleIndexable, fromFloatIndexable, fromIndexable, fromIndexable, fromIntIndexable, fromIterable, fromLongIndexable, fromShortIndexable, getCopy, headSet, init, init, initByIndex, initByIndex, order, order, reverse, revert, revert, set, setFrom, setFrom, setFromArray, setMulti, shuffle, subSet, swap, swyp, sybSet, syt, tailSet, viewArray, viewArray, viewIndexable, viewList, zeroed`

    - ### Methods inherited from interface de.caff.generics.FloatIndexable

      `addAllTo, addToArray, addToArray, asBase, asCollection, asDoubleIndexable, asIndexable, based, binarySearch, binarySearch, compare, doubleIterator, emptyIndexable, equal, equal, equal, equalStandard, firstMatch, floatIterator, floatIterator, foldLeft, frozen, get, getMod, gyt, hash, indexes, intIndexes, isEmpty, isOrdered, isStrictlyOrdered, iterator, lastMatch, listIterator, nextMatch, ordered, ordered, previousMatch, rotated, singleton, toArray, toList, toString, view, viewArray, viewAsBoolean, viewAsByte, viewAsDouble, viewAsInt, viewAsLong, viewAsShort, viewByIndex, viewIndexable, viewIndexable, viewIndexable, viewList, viewList, viewList, viewNumberArray, viewOp, withAppendedValue, withCachedHash, withExchangedValueAt, withInsertedValueAt, withRemovedValueAt, withSwappedValuesAt`

    - ### Methods inherited from interface de.caff.generics.PrimitiveFloatIterable

      `asDoubleIterable, containsFloat, containsFloat, forEachFloat, forEachFloatFragile`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

    - ### Methods inherited from interface de.caff.generics.Sizeable

      `size`

    - ### Methods inherited from interface de.caff.generics.Copyable

      `copy`

- - ### Constructor Detail

    - #### Base

          public Base()